import request from '@/utils/request'
import { URL } from '@/config'

/**
 * @name 商家端-拼团报表
 * @api 
 * @param pageNum: 1 // 第几页
   @param pageSize: 20, // 页数
   @param activity_id: 3  // 拼团ID,活动ID
   @param source_lang: zh-CN
 * @returns {
    "total": 0,
    "records": 0,
    "page": 1,
    "items": []
  }
 */

export function getList(params) {
  return request({
    url: URL.shop.activity.groupbooking.getList,
    method: 'get',
    params,
  })
}


export function doEdit(data) {
  return request({
    url: URL.shop.order.base.statisticAmount,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.activity.groupbooking.doDelete,
    method: 'post',
    data,
  })
}
